Skip to main content
POST
cURL
Use this endpoint to create a session to transcribe spoken audio into text. Refer to the Audio Dictation guide for more information.
audio_config.audio_language supports English and Multilingual. If you omit audio_config, language defaults to English. Refer to Dictation basic usage guide for more information.
Returns a 201 Created status with the transcription_session_id that is used to identify the session for transcribing audio and ending the session.

Authorizations

sdp_suki_token
string
header
required

Suki access token (suki_token) from Login or Register. Expires after one hour.

Headers

sdp_provider_id
string

Optional for standard partners.

Required for:

  • Bearer authentication. Use the same provider_id returned by the Login or Register API.
  • Single Auth Token authentication. Include the same provider_id on every request as sdp_provider_id.
Example:

"provider-123"

Body

application/json

Optional transcription session ID and audio configuration. Suki generates an ID when omitted.

audio_config
object

Optional - Audio configuration for the transcription session

transcription_session_id
string

Optional - UUID format. If not provided, a session ID will be automatically generated.

Example:

"123dfg-456dfg-789dfg-012dfg"

Response

Resource created successfully.

Response body for the /transcription/session/create endpoint

transcription_session_id
string

Unique identifier for the transcription session

Example:

"123dfg-456dfg-789dfg-012dfg"

Last modified on August 20, 2026